BEGIN;

DROP OPERATOR FAMILY IF EXISTS int2_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS int4_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS int8_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS float4_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS float8_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS money_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS oid_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS timestamp_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS timestamptz_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS time_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS timetz_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS date_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS interval_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS macaddr_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS inet_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS cidr_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS text_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS varchar_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS char_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS bytea_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS bit_ops USING gin CASCADE;
DROP OPERATOR FAMILY IF EXISTS varbit_ops USING gin CASCADE;

DROP FUNCTION IF EXISTS gin_btree_consistent(internal, int2, anyelement) CASCADE;

DROP FUNCTION IF EXISTS gin_extract_value_int2(int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_int2(int2, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_int2(int2, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_int4(int4, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_int4(int4, int4, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_int4(int4, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_int8(int8, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_int8(int8, int8, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_int8(int8, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_float4(float4, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_float4(float4, float4, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_float4(float4, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_float8(float8, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_float8(float8, float8, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_float8(float8, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_money(money, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_money(money, money, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_money(money, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_oid(oid, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_oid(oid, oid, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_oid(oid, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_timestamp(timestamp, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_timestamp(timestamp, timestamp, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_timestamp(timestamp, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_timestamptz(timestamptz, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_timestamptz(timestamptz, timestamptz, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_timestamptz(timestamptz, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_time(time, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_time(time, time, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_time(time, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_timetz(timetz, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_timetz(timetz, timetz, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_timetz(timetz, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_date(date, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_date(date, date, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_date(date, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_interval(interval, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_interval(interval, interval, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_interval(interval, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_macaddr(macaddr, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_macaddr(macaddr, macaddr, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_macaddr(macaddr, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_inet(inet, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_inet(inet, inet, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_inet(inet, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_cidr(cidr, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_cidr(cidr, cidr, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_cidr(cidr, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_text(text, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_text(text, text, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_text(text, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_char("char", internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_char("char", "char", internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_char("char", internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_bytea(bytea, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_bytea(bytea, bytea, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_bytea(bytea, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_bit(bit, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_bit(bit, bit, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_bit(bit, internal, int2, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_value_varbit(varbit, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_compare_prefix_varbit(varbit, varbit, internal) CASCADE;
DROP FUNCTION IF EXISTS gin_extract_query_varbit(varbit, internal, int2, internal) CASCADE;

COMMIT;
